Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5861 - mount (8) entry inconsistent information
Summary: mount (8) entry inconsistent information
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man-pages
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-12 04:27 UTC by luke
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-05-30 16:57:56 UTC


Attachments (Terms of Use)

Description luke 1999-10-12 04:27:54 UTC
When using the filesystem type that means auto-sense the FS,
the man page says to use "autofs" and "auto".  Given that
the use of "auto" produces this error:

bash$ mount /mnt/floppy
mount: you must specify the filesystem type

I suspect the correct type to use is "autofs".

The man page says:
       -t vfstype
              The  argument  following the -t is used to
indicate
              the file system type.  The file system types
which
              are    currently    supported    are
listed   in
              linux/fs/filesystems.c: minix,  xiafs,  ext,
ext2,
              msdos,  umsdos,  vfat,  proc,  autofs, devpts,
nfs,
------------------------------------------------^

and a little further down contradicts this:

              The  type  iso9660 is the default.  If no -t
option
              is given, or if the auto  type  is
specified,  the
------------------------------------^
              superblock   is  probed  for  the  filesystem
type
              (minix, ext, ext2, xiafs, iso9660, romfs  are
sup-
              ported).

AFAIK, the msdos and vfat FS types are also supported,
though this isn't mentioned either.

luke

Comment 1 Cristian Gafton 2000-05-22 15:02:59 UTC
assigned to teg

Comment 2 Trond Eivind Glomsrxd 2000-05-30 16:57:59 UTC
auto is the correct type, autofs refers to the automounter


Note You need to log in before you can comment on or make changes to this bug.